# $Revision: 1.5.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Diff
Summary:	Text::Diff - Perform diffs on files and record sets
Summary(pl):	Text::Diff - wyszukiwanie rnic midzy plikami i zbiorami rekordw
Name:		perl-Text-Diff
Version:	0.35
Release:	2
License:	GPL v2+/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Algorithm-Diff
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
diff() provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is
better integrated with Perl and available on all platforms. It is
often faster than shelling out to a system's diff executable for small
files, and generally slower on larger files.

%description -l pl
Funkcja diff() udostpnia podstawowy zbir usug podobnych do
narzdzia GNU diff. Daleko jej do penej funkcjonalnoci GNU diffa,
ale jest lepiej zintegrowana z Perlem i dostpna na wszystkich
platformach. Jest przewanie szybsza ni uruchamianie polecenia
systemowego w przypadku maych plikw, a wolniejsza dla duych plikw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Diff.spec,v $
Revision 1.5.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.5.2.1  2003/03/13 00:58:56  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:43  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/28 23:21:25  ankry
- version 0.35, rel. 1

Revision 1.2  2002/08/28 20:58:40  qboosh
- pl description, release++

Revision 1.1  2002/08/25 15:18:42  radek
- new, STBR
